Package com.orchestranetworks.workflow

# Interface WorkflowTriggerWorkItemContext

All Superinterfaces:
  `DataContextReadOnly`, `ProcessExecutionContext`, `ProcessExecutionInfoContext`, `WorkflowTriggerContext`, `WorkflowTriggerStepContext`

All Known Subinterfaces:
  `WorkflowTriggerAfterWorkItemCreationContext`, `WorkflowTriggerBeforeWorkItemAllocationContext`, `WorkflowTriggerBeforeWorkItemDeallocationContext`, `WorkflowTriggerBeforeWorkItemReallocationContext`, `WorkflowTriggerBeforeWorkItemStartContext`, `WorkflowTriggerBeforeWorkItemTerminationContext`, `WorkflowTriggerWorkItemAllocationContext`, `WorkflowTriggerWorkItemAuthenticatedContext`

public interface WorkflowTriggerWorkItemContext extends WorkflowTriggerStepContext
Context for handling events related to a workflow work item.

Since:
  5.5.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.workflow.ProcessExecutionContext

  `ProcessExecutionContext.WorkflowPermission`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserTask.WorkItem`
  `getWorkItem()`
  Returns the work item just before the start.

  ### Methods inherited from interface com.orchestranetworks.workflow.DataContextReadOnly

  `getVariableNames, getVariableString, isVariableDefined`

  ### Methods inherited from interface com.orchestranetworks.workflow.ProcessExecutionContext

  `createMailSpec, getProcessInstanceDescription, getProcessInstanceLabel, modifyProcessPriority`

  ### Methods inherited from interface com.orchestranetworks.workflow.ProcessExecutionInfoContext

  `getProcessInstance, getProcessInstanceCreator, getProcessInstanceKey, getProfileForPermission, getPublishedProcessKey, getRepository, getSession`

  ### Methods inherited from interface com.orchestranetworks.workflow.WorkflowTriggerStepContext

  `getCurrentStepId`

- ## Method Details

  - ### getWorkItem

    UserTask.WorkItem getWorkItem()
    Returns the work item just before the start.

    At this time, the state of the work item have not yet been changed.